# Method: projects.locations.global.hubs.queryStatus

- [HTTP request](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#body.request_body)
- [Response body](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#body.QueryHubStatusResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#body.aspect)
- [HubStatusEntry](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#HubStatusEntry)
  - [JSON representation](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#HubStatusEntry.SCHEMA_REPRESENTATION)
- [PscPropagationStatus](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#PscPropagationStatus)
  - [JSON representation](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#PscPropagationStatus.SCHEMA_REPRESENTATION)
- [Code](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#Code)
- [Try it!](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#try-it)

Query the Private Service Connect propagation status of a Network Connectivity Center hub.

### HTTP request

`GET https://networkconnectivity.googleapis.com/v1/{name=projects/*/locations/global/hubs/*}:queryStatus`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the hub. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networkconnectivity.hubs.queryStatus` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of results to return per page. |
| `pageToken` | `string` Optional. The page token. |
| `filter` | `string` Optional. An expression that filters the list of results. The filter can be used to filter the results by the following fields: \* `psc_propagation_status.source_spoke` \* `psc_propagation_status.source_group` \* `psc_propagation_status.source_forwarding_rule` \* `psc_propagation_status.target_spoke` \* `psc_propagation_status.target_group` \* `psc_propagation_status.code` \* `psc_propagation_status.message` |
| `orderBy` | `string` Optional. Sort the results in ascending order by the specified fields. A comma-separated list of any of these fields: \* `psc_propagation_status.source_spoke` \* `psc_propagation_status.source_group` \* `psc_propagation_status.source_forwarding_rule` \* `psc_propagation_status.target_spoke` \* `psc_propagation_status.target_group` \* `psc_propagation_status.code` If `groupBy` is set, the value of the `orderBy` field must be the same as or a subset of the `groupBy` field. |
| `groupBy` | `string` Optional. Aggregate the results by the specified fields. A comma-separated list of any of these fields: \* `psc_propagation_status.source_spoke` \* `psc_propagation_status.source_group` \* `psc_propagation_status.source_forwarding_rule` \* `psc_propagation_status.target_spoke` \* `psc_propagation_status.target_group` \* `psc_propagation_status.code` |

### Request body

The request body must be empty.

### Response body

The response for `https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#google.cloud.networkconnectivity.v1.HubService.QueryHubStatus`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "hubStatusEntries": [ { object (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#HubStatusEntry`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `hubStatusEntries[]` | ``object (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#HubStatusEntry`)`` The list of hub status. |
| `nextPageToken` | `string` The token for the next page of the response. To see more results, use this value as the pageToken for your next request. If this value is empty, there are no more results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## HubStatusEntry

A hub status entry represents the status of a set of propagated Private Service Connect connections grouped by certain fields.

| JSON representation |
|---|
| ``` { "count": integer, "groupBy": string, "pscPropagationStatus": { object (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#PscPropagationStatus`) } } ``` |

| Fields ||
|---|---|
| `count` | `integer` The number of propagated Private Service Connect connections with this status. If the `groupBy` field was not set in the request message, the value of this field is 1. |
| `groupBy` | `string` The fields that this entry is grouped by. This has the same value as the `groupBy` field in the request message. |
| `pscPropagationStatus` | ``object (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#PscPropagationStatus`)`` The Private Service Connect propagation status. |

## PscPropagationStatus

The status of one or more propagated Private Service Connect connections in a hub.

| JSON representation |
|---|
| ``` { "sourceSpoke": string, "sourceGroup": string, "sourceForwardingRule": string, "targetSpoke": string, "targetGroup": string, "code": enum (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#Code`), "message": string } ``` |

| Fields ||
|---|---|
| `sourceSpoke` | `string` The name of the spoke that the source forwarding rule belongs to. |
| `sourceGroup` | `string` The name of the group that the source spoke belongs to. |
| `sourceForwardingRule` | `string` The name of the forwarding rule exported to the hub. |
| `targetSpoke` | `string` The name of the spoke that the source forwarding rule propagates to. |
| `targetGroup` | `string` The name of the group that the target spoke belongs to. |
| `code` | ``enum (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs/queryStatus#Code`)`` The propagation status. |
| `message` | `string` The human-readable summary of the Private Service Connect connection propagation status. |

## Code

The Code enum represents the state of the Private Service Connect propagation.

| Enums ||
|---|---|
| `CODE_UNSPECIFIED` | The code is unspecified. |
| `READY` | The propagated Private Service Connect connection is ready. |
| `PROPAGATING` | The Private Service Connect connection is propagating. This is a transient state. |
| `ERROR_PRODUCER_PROPAGATED_CONNECTION_LIMIT_EXCEEDED` | The Private Service Connect connection propagation failed because the VPC network or the project of the target spoke has exceeded the connection limit set by the producer. |
| `ERROR_PRODUCER_NAT_IP_SPACE_EXHAUSTED` | The Private Service Connect connection propagation failed because the NAT IP subnet space has been exhausted. It is equivalent to the `Needs attention` status of the Private Service Connect connection. See <https://cloud.google.com/vpc/docs/about-accessing-vpc-hosted-services-endpoints#connection-statuses>. |
| `ERROR_PRODUCER_QUOTA_EXCEEDED` | The Private Service Connect connection propagation failed because the `PSC_ILB_CONSUMER_FORWARDING_RULES_PER_PRODUCER_NETWORK` quota in the producer VPC network has been exceeded. |
| `ERROR_CONSUMER_QUOTA_EXCEEDED` | The Private Service Connect connection propagation failed because the `PSC_PROPAGATED_CONNECTIONS_PER_VPC_NETWORK` quota in the consumer VPC network has been exceeded. |